/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.database.data;

import javax.persistence.metamodel.SingularAttribute;
import javax.persistence.metamodel.StaticMetamodel;

@StaticMetamodel( ServerData.class )
public abstract class ServerData_
{

    public static volatile SingularAttribute<ServerData, Long> id;

    public static volatile SingularAttribute<ServerData, String> name;

    public static volatile SingularAttribute<ServerData, String> note;

    public static volatile SingularAttribute<ServerData, String> address;

    public static volatile SingularAttribute<ServerData, Integer> sshPort;

    public static volatile SingularAttribute<ServerData, Integer> xpraMinPort;

    public static volatile SingularAttribute<ServerData, Integer> xpraMaxPort;

    public static volatile SingularAttribute<ServerData, String> xpraVersion;

    public static volatile SingularAttribute<ServerData, Integer> maxUsers;

    public static volatile SingularAttribute<ServerData, Boolean> enabled;

}
