/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.database.data;

import javax.persistence.metamodel.SingularAttribute;
import javax.persistence.metamodel.StaticMetamodel;

@StaticMetamodel( UserSessionApplicationData.class )
public abstract class UserSessionApplicationData_
{

    public static volatile SingularAttribute<UserSessionApplicationData, Long> id;

    public static volatile SingularAttribute<UserSessionApplicationData, Long> userSessionId;

    public static volatile SingularAttribute<UserSessionApplicationData, Long> applicationId;

    public static volatile SingularAttribute<UserSessionApplicationData, Integer> windowId;

    public static volatile SingularAttribute<UserSessionApplicationData, Long> userId;

}
