/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.icons;

import com.vaadin.flow.component.icon.Icon;

public enum JqueryuiIcon
{

    UI_ICON_ARROW_U( "ui-icon-arrow-u" ),
    UI_ICON_ARROW_U_R( "ui-icon-arrow-u-r" ),
    UI_ICON_ARROW_R( "ui-icon-arrow-r" ),
    UI_ICON_ARROW_D_R( "ui-icon-arrow-d-r" ),
    UI_ICON_ARROW_D( "ui-icon-arrow-d" ),
    UI_ICON_ARROW_D_L( "ui-icon-arrow-d-l" ),
    UI_ICON_ARROW_L( "ui-icon-arrow-l" ),
    UI_ICON_ARROW_U_L( "ui-icon-arrow-u-l" ),
    UI_ICON_ARROWSTOP_1_N( "ui-icon-arrowstop-1-n" ),
    UI_ICON_ARROWSTOP_1_E( "ui-icon-arrowstop-1-e" ),
    UI_ICON_ARROWSTOP_1_S( "ui-icon-arrowstop-1-s" ),
    UI_ICON_ARROWSTOP_1_W( "ui-icon-arrowstop-1-w" ),
    UI_ICON_ARROWRETURN_1_N( "ui-icon-arrowreturn-1-n" ),
    UI_ICON_FORWARD( "ui-icon-forward" ),
    UI_ICON_BACK( "ui-icon-back" ),
    UI_ICON_ARROWRETURN_1_W( "ui-icon-arrowreturn-1-w" ),
    UI_ICON_ARROWREFRESH_1_N( "ui-icon-arrowrefresh-1-n" ),
    UI_ICON_ARROWREFRESH_1_E( "ui-icon-arrowrefresh-1-e" ),
    UI_ICON_ARROWREFRESH_1_S( "ui-icon-arrowrefresh-1-s" ),
    UI_ICON_ARROWREFRESH_1_W( "ui-icon-arrowrefresh-1-w" ),
    UI_ICON_RESIZE_V( "ui-icon-resize-v" ),
    UI_ICON_ARROW_2_NE_SW( "ui-icon-arrow-2-ne-sw" ),
    UI_ICON_RESIZE_H( "ui-icon-resize-h" ),
    UI_ICON_ARROW_2_SE_NW( "ui-icon-arrow-2-se-nw" ),
    UI_ICON_MOVE( "ui-icon-move" ),
    UI_ICON_ARROW_4_DIAG( "ui-icon-arrow-4-diag" ),
    UI_ICON_ARROWTHICK_1_N( "ui-icon-arrowthick-1-n" ),
    UI_ICON_ARROWTHICK_1_NE( "ui-icon-arrowthick-1-ne" ),
    UI_ICON_ARROWTHICK_1_E( "ui-icon-arrowthick-1-e" ),
    UI_ICON_ARROWTHICK_1_SE( "ui-icon-arrowthick-1-se" ),
    UI_ICON_ARROWTHICK_1_S( "ui-icon-arrowthick-1-s" ),
    UI_ICON_ARROWTHICK_1_SW( "ui-icon-arrowthick-1-sw" ),
    UI_ICON_ARROWTHICK_1_W( "ui-icon-arrowthick-1-w" ),
    UI_ICON_ARROWTHICK_1_NW( "ui-icon-arrowthick-1-nw" ),
    UI_ICON_ARROWTHICKSTOP_1_N( "ui-icon-arrowthickstop-1-n" ),
    UI_ICON_ARROWTHICKSTOP_1_E( "ui-icon-arrowthickstop-1-e" ),
    UI_ICON_ARROWTHICKSTOP_1_S( "ui-icon-arrowthickstop-1-s" ),
    UI_ICON_ARROWTHICKSTOP_1_W( "ui-icon-arrowthickstop-1-w" ),
    UI_ICON_ARROWRETURNTHICK_1_N( "ui-icon-arrowreturnthick-1-n" ),
    UI_ICON_ARROWRETURNTHICK_1_E( "ui-icon-arrowreturnthick-1-e" ),
    UI_ICON_ARROWRETURNTHICK_1_S( "ui-icon-arrowreturnthick-1-s" ),
    UI_ICON_ARROWRETURNTHICK_1_W( "ui-icon-arrowreturnthick-1-w" ),
    UI_ICON_ARROWTHICK_2_N_S( "ui-icon-arrowthick-2-n-s" ),
    UI_ICON_ARROWTHICK_2_NE_SW( "ui-icon-arrowthick-2-ne-sw" ),
    UI_ICON_ARROWTHICK_2_E_W( "ui-icon-arrowthick-2-e-w" ),
    UI_ICON_ARROWTHICK_2_SE_NW( "ui-icon-arrowthick-2-se-nw" ),
    UI_ICON_CIRCLE_ARROW_N( "ui-icon-circle-arrow-n" ),
    UI_ICON_CIRCLE_ARROW_E( "ui-icon-circle-arrow-e" ),
    UI_ICON_CIRCLE_ARROW_S( "ui-icon-circle-arrow-s" ),
    UI_ICON_CIRCLE_ARROW_W( "ui-icon-circle-arrow-w" ),
    UI_ICON_CIRCLE_B_ARROW_N( "ui-icon-circle-b-arrow-n" ),
    UI_ICON_CIRCLE_B_ARROW_E( "ui-icon-circle-b-arrow-e" ),
    UI_ICON_CIRCLE_B_ARROW_S( "ui-icon-circle-b-arrow-s" ),
    UI_ICON_CIRCLE_B_ARROW_W( "ui-icon-circle-b-arrow-w" ),
    UI_ICON_CARAT_U( "ui-icon-carat-u" ),
    UI_ICON_CARET_1_NE( "ui-icon-caret-1-ne" ),
    UI_ICON_CARAT_R( "ui-icon-carat-r" ),
    UI_ICON_CARET_1_SE( "ui-icon-caret-1-se" ),
    UI_ICON_CARAT_D( "ui-icon-carat-d" ),
    UI_ICON_CARET_1_SW( "ui-icon-caret-1-sw" ),
    UI_ICON_CARAT_L( "ui-icon-carat-l" ),
    UI_ICON_CARET_1_NW( "ui-icon-caret-1-nw" ),
    UI_ICON_CARET_2_N( "ui-icon-caret-2-n" ),
    UI_ICON_CARET_2_E( "ui-icon-caret-2-e" ),
    UI_ICON_CARET_2_S( "ui-icon-caret-2-s" ),
    UI_ICON_CARET_2_W( "ui-icon-caret-2-w" ),
    UI_ICON_CARET_2_E_W( "ui-icon-caret-2-e-w" ),
    UI_ICON_CARET_2_N_S( "ui-icon-caret-2-n-s" ),
    UI_ICON_TRIANGLE_1_N( "ui-icon-triangle-1-n" ),
    UI_ICON_TRIANGLE_1_NE( "ui-icon-triangle-1-ne" ),
    UI_ICON_TRIANGLE_1_E( "ui-icon-triangle-1-e" ),
    UI_ICON_TRIANGLE_1_SW( "ui-icon-triangle-1-sw" ),
    UI_ICON_TRIANGLE_1_W( "ui-icon-triangle-1-w" ),
    UI_ICON_TRIANGLE_1_SE( "ui-icon-triangle-1-se" ),
    UI_ICON_TRIANGLE_1_S( "ui-icon-triangle-1-s" ),
    UI_ICON_TRIANGLE_1_NW( "ui-icon-triangle-1-nw" ),
    UI_ICON_TRIANGLE_1_N_STOP( "ui-icon-triangle-1-n-stop" ),
    UI_ICON_SEEK_END( "ui-icon-seek-end" ),
    UI_ICON_TRIANGLE_1_S_STOP( "ui-icon-triangle-1-s-stop" ),
    UI_ICON_SEEK_FIRST( "ui-icon-seek-first" ),
    UI_ICON_SEEK_NEXT( "ui-icon-seek-next" ),
    UI_ICON_SEEK_PREV( "ui-icon-seek-prev" ),
    UI_ICON_TRIANGLE_2_N_S( "ui-icon-triangle-2-n-s" ),
    UI_ICON_TRIANGLE_2_E_W( "ui-icon-triangle-2-e-w" ),
    UI_ICON_CIRCLE_TRIANGLE_N( "ui-icon-circle-triangle-n" ),
    UI_ICON_CIRCLE_TRIANGLE_E( "ui-icon-circle-triangle-e" ),
    UI_ICON_CIRCLE_TRIANGLE_S( "ui-icon-circle-triangle-s" ),
    UI_ICON_CIRCLE_TRIANGLE_W( "ui-icon-circle-triangle-w" ),
    UI_ICON_CIRCLE_B_TRIANGLE_N( "ui-icon-circle-b-triangle-n" ),
    UI_ICON_CIRCLE_B_TRIANGLE_E( "ui-icon-circle-b-triangle-e" ),
    UI_ICON_CIRCLE_B_TRIANGLE_S( "ui-icon-circle-b-triangle-s" ),
    UI_ICON_CIRCLE_B_TRIANGLE_W( "ui-icon-circle-b-triangle-w" ),
    UI_CHECKBOXRADIO_CHECKED( "ui-checkboxradio-checked" ),
    UI_ICON_RADIO_BTN_UNCHECKED( "ui-icon-radio-btn-unchecked" ),
    UI_ICON_ALERT( "ui-icon-alert" ),
    UI_ICON_ALERT_B( "ui-icon-alert-b" ),
    UI_ICON_HELP_PLAIN( "ui-icon-help-plain" ),
    UI_ICON_HELP( "ui-icon-help" ),
    UI_ICON_CIRCLE_B_HELP( "ui-icon-circle-b-help" ),
    UI_ICON_INFO_PLAIN( "ui-icon-info-plain" ),
    UI_ICON_INFO( "ui-icon-info" ),
    UI_ICON_CIRCLE_B_INFO( "ui-icon-circle-b-info" ),
    UI_ICON_NOTICE_PLAIN( "ui-icon-notice-plain" ),
    UI_ICON_NOTICE( "ui-icon-notice" ),
    UI_ICON_CIRCLE_B_NOTICE( "ui-icon-circle-b-notice" ),
    UI_ICON_GRIP_DIAGONAL_SE( "ui-icon-grip-diagonal-se" ),
    UI_ICON_GRIPSMALL_DIAGONAL_SE( "ui-icon-gripsmall-diagonal-se" ),
    UI_ICON_GRIP_SOLID_HORIZONTAL( "ui-icon-grip-solid-horizontal" ),
    UI_ICON_GRIP_SOLID_VERTICAL( "ui-icon-grip-solid-vertical" ),
    UI_ICON_GRIP_DOTTED_HORIZONTAL( "ui-icon-grip-dotted-horizontal" ),
    UI_ICON_GRIP_DOTTED_VERTICAL( "ui-icon-grip-dotted-vertical" ),
    UI_CHECKBOX_ON( "ui-checkbox-on" ),
    UI_ICON_CIRCLE_CHECK( "ui-icon-circle-check" ),
    UI_ICON_CIRCLE_B_CHECK( "ui-icon-circle-b-check" ),
    UI_ICON_CHECKBOX_UNCHECKED( "ui-icon-checkbox-unchecked" ),
    UI_ICON_CHECKBOX_CHECKED( "ui-icon-checkbox-checked" ),
    UI_ICON_FORBIDDEN( "ui-icon-forbidden" ),
    UI_ICON_DELETE( "ui-icon-delete" ),
    UI_ICON_CIRCLE_CLOSE( "ui-icon-circle-close" ),
    UI_ICON_CIRCLE_B_CLOSE( "ui-icon-circle-b-close" ),
    UI_ICON_CLOSETHICK( "ui-icon-closethick" ),
    UI_ICON_SQUARESMALL_CLOSE( "ui-icon-squaresmall-close" ),
    UI_ICON_CIRCLESMALL_CLOSE( "ui-icon-circlesmall-close" ),
    UI_ICON_MINUS( "ui-icon-minus" ),
    UI_ICON_CIRCLE_MINUS( "ui-icon-circle-minus" ),
    UI_ICON_CIRCLE_B_MINUS( "ui-icon-circle-b-minus" ),
    UI_ICON_MINUSTHICK( "ui-icon-minusthick" ),
    UI_ICON_SQUARESMALL_MINUS( "ui-icon-squaresmall-minus" ),
    UI_ICON_CIRCLESMALL_MINUS( "ui-icon-circlesmall-minus" ),
    UI_ICON_PLUS( "ui-icon-plus" ),
    UI_ICON_CIRCLE_PLUS( "ui-icon-circle-plus" ),
    UI_ICON_CIRCLE_B_PLUS( "ui-icon-circle-b-plus" ),
    UI_ICON_PLUSTHICK( "ui-icon-plusthick" ),
    UI_ICON_SQUARESMALL_PLUS( "ui-icon-squaresmall-plus" ),
    UI_ICON_CIRCLESMALL_PLUS( "ui-icon-circlesmall-plus" ),
    UI_ICON_EDIT( "ui-icon-edit" ),
    UI_ICON_FILES( "ui-icon-files" ),
    UI_ICON_CUT( "ui-icon-cut" ),
    UI_ICON_PASTE( "ui-icon-paste" ),
    UI_ICON_SAVE( "ui-icon-save" ),
    UI_ICON_UNDO( "ui-icon-undo" ),
    UI_ICON_REDO( "ui-icon-redo" ),
    UI_ICON_INPUT( "ui-icon-input" ),
    UI_ICON_RECYCLE( "ui-icon-recycle" ),
    UI_ICON_TRASH_B( "ui-icon-trash-b" ),
    UI_ICON_PRINT( "ui-icon-print" ),
    UI_ICON_PRINT_B( "ui-icon-print-b" ),
    UI_ICON_PRINT_LAYOUT( "ui-icon-print-layout" ),
    UI_ICON_NOTE( "ui-icon-note" ),
    UI_ICON_TABLE( "ui-icon-table" ),
    UI_ICON_TAG( "ui-icon-tag" ),
    UI_ICON_TAGS( "ui-icon-tags" ),
    UI_ICON_TICKET( "ui-icon-ticket" ),
    UI_ICON_FOLDER_CLOSED( "ui-icon-folder-closed" ),
    UI_ICON_FOLDER_OPEN( "ui-icon-folder-open" ),
    UI_ICON_FILE( "ui-icon-file" ),
    UI_ICON_DOCUMENT_B( "ui-icon-document-b" ),
    UI_ICON_AUDIO( "ui-icon-audio" ),
    UI_ICON_FILE_MOVIE( "ui-icon-file-movie" ),
    UI_ICON_FILE_VIDEO( "ui-icon-file-video" ),
    UI_ICON_FILE_IMAGE( "ui-icon-file-image" ),
    UI_ICON_FILE_SCRIPT( "ui-icon-file-script" ),
    UI_ICON_FILE_PDF( "ui-icon-file-pdf" ),
    UI_ICON_FILE_RICHTEXT( "ui-icon-file-richtext" ),
    UI_ICON_FILE_TABLE( "ui-icon-file-table" ),
    UI_ICON_FILE_REPORT( "ui-icon-file-report" ),
    UI_ICON_FILE_TEXT( "ui-icon-file-text" ),
    UI_ICON_FILE_WORD( "ui-icon-file-word" ),
    UI_ICON_FILE_ZIP( "ui-icon-file-zip" ),
    UI_ICON_DOWNLOAD( "ui-icon-download" ),
    UI_ICON_UPLOAD( "ui-icon-upload" ),
    UI_ICON_PLAY( "ui-icon-play" ),
    UI_ICON_PAUSE( "ui-icon-pause" ),
    UI_ICON_STOP( "ui-icon-stop" ),
    UI_ICON_VOLUME_MUTE( "ui-icon-volume-mute" ),
    UI_ICON_VOLUME_HIGH( "ui-icon-volume-high" ),
    UI_ICON_VOLUME_LOW( "ui-icon-volume-low" ),
    UI_ICON_MICROPHONE( "ui-icon-microphone" ),
    UI_ICON_MICROPHONE_OFF( "ui-icon-microphone-off" ),
    UI_ICON_SHUFFLE( "ui-icon-shuffle" ),
    UI_ICON_RETWEET( "ui-icon-retweet" ),
    UI_ICON_EJECT( "ui-icon-eject" ),
    UI_ICON_LINK( "ui-icon-link" ),
    UI_ICON_ACTION( "ui-icon-action" ),
    UI_ICON_LINK_BROKEN( "ui-icon-link-broken" ),
    UI_ICON_ANCHOR( "ui-icon-anchor" ),
    UI_ICON_LOCK( "ui-icon-lock" ),
    UI_ICON_LOCK_OPEN( "ui-icon-lock-open" ),
    UI_ICON_WINDOW( "ui-icon-window" ),
    UI_ICON_WINDOWS( "ui-icon-windows" ),
    UI_ICON_WINDOW_SIDEBAR( "ui-icon-window-sidebar" ),
    UI_ICON_CONSOLE( "ui-icon-console" ),
    UI_ICON_WINDOW_CLOSE( "ui-icon-window-close" ),
    UI_ICON_WINDOW_MINIMIZE( "ui-icon-window-minimize" ),
    UI_ICON_BARS( "ui-icon-bars" ),
    UI_ICON_HOME( "ui-icon-home" ),
    UI_ICON_BOOKMARK( "ui-icon-bookmark" ),
    UI_ICON_BOOKMARK_B( "ui-icon-bookmark-b" ),
    UI_ICON_STAR( "ui-icon-star" ),
    UI_ICON_STAR_H( "ui-icon-star-h" ),
    UI_ICON_STAR_B( "ui-icon-star-b" ),
    UI_ICON_PUZZLE( "ui-icon-puzzle" ),
    UI_ICON_PLUGIN( "ui-icon-plugin" ),
    UI_ICON_PACKAGE( "ui-icon-package" ),
    UI_ICON_SWITCH( "ui-icon-switch" ),
    UI_ICON_RELOAD( "ui-icon-reload" ),
    UI_ICON_GROUP( "ui-icon-group" ),
    UI_ICON_USER( "ui-icon-user" ),
    UI_ICON_HEART( "ui-icon-heart" ),
    UI_ICON_HEART_B( "ui-icon-heart-b" ),
    UI_ICON_HEART_BEAT( "ui-icon-heart-beat" ),
    UI_ICON_KEY( "ui-icon-key" ),
    UI_ICON_LIGHTBULB( "ui-icon-lightbulb" ),
    UI_ICON_SHOP( "ui-icon-shop" ),
    UI_ICON_SHOP_B( "ui-icon-shop-b" ),
    UI_ICON_CREDITCARD( "ui-icon-creditcard" ),
    UI_ICON_CLOCK( "ui-icon-clock" ),
    UI_ICON_CLOCK_B( "ui-icon-clock-b" ),
    UI_ICON_HISTORY( "ui-icon-history" ),
    UI_ICON_CLOUD( "ui-icon-cloud" ),
    UI_ICON_CLOUD_B( "ui-icon-cloud-b" ),
    UI_ICON_CLOUD_DOWNLOAD( "ui-icon-cloud-download" ),
    UI_ICON_CLOUD_UPLOAD( "ui-icon-cloud-upload" ),
    UI_ICON_COMMENT( "ui-icon-comment" ),
    UI_ICON_COMMENTS( "ui-icon-comments" ),
    UI_ICON_GLOBE( "ui-icon-globe" ),
    UI_ICON_GLOBE_B( "ui-icon-globe-b" ),
    UI_ICON_LOCATION( "ui-icon-location" ),
    UI_ICON_NAVIGATION( "ui-icon-navigation" ),
    UI_ICON_GEAR( "ui-icon-gear" ),
    UI_ICON_GEARS( "ui-icon-gears" ),
    UI_ICON_CAMERA( "ui-icon-camera" ),
    UI_ICON_FLAG( "ui-icon-flag" ),
    UI_ICON_EYE( "ui-icon-eye" ),
    UI_ICON_BOX( "ui-icon-box" ),
    UI_ICON_TRANSFER_E_W( "ui-icon-transfer-e-w" ),
    UI_ICON_TRANSFERTHICK_E_W( "ui-icon-transferthick-e-w" ),
    UI_ICON_LOGIN( "ui-icon-login" ),
    UI_ICON_LOGOFF( "ui-icon-logoff" ),
    UI_ICON_TOGGLE_OFF( "ui-icon-toggle-off" ),
    UI_ICON_TOGGLE_ON( "ui-icon-toggle-on" ),
    UI_INPUT_SEARCH( "ui-input-search" ),
    UI_ICON_WRENCH( "ui-icon-wrench" ),
    UI_ICON_SETTINGS( "ui-icon-settings" ),
    UI_ICON_RADIO_BTN_CHECKED( "ui-icon-radio-btn-checked" ),
    UI_ICON_SELECTBOX( "ui-icon-selectbox" ),
    UI_ICON_SUITCASE( "ui-icon-suitcase" ),
    UI_ICON_TRUCK( "ui-icon-truck" ),
    UI_ICON_DATABASE( "ui-icon-database" ),
    UI_ICON_DATABASES( "ui-icon-databases" ),
    UI_ICON_BOOK( "ui-icon-book" ),
    UI_ICON_BOOK_B( "ui-icon-book-b" ),
    UI_ICON_CALCULATOR( "ui-icon-calculator" ),
    UI_ICON_CALCULATOR_B( "ui-icon-calculator-b" ),
    UI_ICON_CALENDAR( "ui-icon-calendar" ),
    UI_ICON_CALENDAR_B( "ui-icon-calendar-b" ),
    UI_ICON_CALENDAR_DAY( "ui-icon-calendar-day" ),
    UI_ICON_ADDRESS( "ui-icon-address" ),
    UI_ICON_VCARD( "ui-icon-vcard" ),
    UI_ICON_PHONE( "ui-icon-phone" ),
    UI_ICON_CIRCLE_PHONE( "ui-icon-circle-phone" ),
    UI_ICON_EMAIL( "ui-icon-email" ),
    UI_ICON_MAIL_READ( "ui-icon-mail-read" ),
    UI_ICON_MAIL_FORWARD( "ui-icon-mail-forward" ),
    UI_ICON_MAIL_REPLY( "ui-icon-mail-reply" ),
    UI_ICON_MAIL_REPLYALL( "ui-icon-mail-replyall" ),
    UI_ICON_MAIL_ATTACHMENT( "ui-icon-mail-attachment" ),
    UI_ICON_MAIL_SEND( "ui-icon-mail-send" ),
    UI_ICON_ARCHIVE( "ui-icon-archive" ),
    UI_ICON_NEWS( "ui-icon-news" ),
    UI_ICON_PIN_S( "ui-icon-pin-s" ),
    UI_ICON_PIN_W( "ui-icon-pin-w" ),
    UI_ICON_ZOOM( "ui-icon-zoom" ),
    UI_ICON_CIRCLE_ZOOM( "ui-icon-circle-zoom" ),
    UI_ICON_ZOOMIN( "ui-icon-zoomin" ),
    UI_ICON_CIRCLE_ZOOMIN( "ui-icon-circle-zoomin" ),
    UI_ICON_ZOOMOUT( "ui-icon-zoomout" ),
    UI_ICON_CIRCLE_ZOOMOUT( "ui-icon-circle-zoomout" ),
    UI_ICON_ZOOMEQUAL( "ui-icon-zoomequal" ),
    UI_ICON_DESKTOP( "ui-icon-desktop" ),
    UI_ICON_LAPTOP( "ui-icon-laptop" ),
    UI_ICON_MOBILE( "ui-icon-mobile" ),
    UI_ICON_GRID_B( "ui-icon-grid-b" ),
    UI_ICON_GRID( "ui-icon-grid" ),
    UI_ICON_BULLETS( "ui-icon-bullets" ),
    UI_ICON_SORTING( "ui-icon-sorting" ),
    UI_ICON_SORTING_ASC( "ui-icon-sorting-asc" ),
    UI_ICON_SORTING_DESC( "ui-icon-sorting-desc" ),
    UI_ICON_BATTERY_0( "ui-icon-battery-0" ),
    UI_ICON_BATTERY_1( "ui-icon-battery-1" ),
    UI_ICON_BATTERY_2( "ui-icon-battery-2" ),
    UI_ICON_BATTERY_3( "ui-icon-battery-3" ),
    UI_ICON_SIGNAL( "ui-icon-signal" ),
    UI_ICON_FEED( "ui-icon-feed" ),
    UI_ICON_PILCROW( "ui-icon-pilcrow" ),
    UI_ICON_BUCKET( "ui-icon-bucket" ),
    UI_ICON_PALETTE( "ui-icon-palette" ),
    UI_ICON_PRUSH( "ui-icon-prush" ),
    UI_ICON_ERASE( "ui-icon-erase" ),
    UI_ICON_MARKER( "ui-icon-marker" ),
    UI_ICON_SELECT( "ui-icon-select" ),
    UI_ICON_BUG( "ui-icon-bug" ),
    UI_ICON_CLIENT( "ui-icon-client" ),
    UI_ICON_SERVER( "ui-icon-server" ),
    UI_ICON_BULLHORN( "ui-icon-bullhorn" ),
    UI_ICON_SHIELD( "ui-icon-shield" ),
    UI_ICON_CHART_PIE( "ui-icon-chart-pie" ),
    UI_ICON_CHART_BARS( "ui-icon-chart-bars" ),
    UI_ICON_CHART_LINE( "ui-icon-chart-line" ),
    UI_ICON_SITEMAP( "ui-icon-sitemap" ),
    UI_ICON_STRUCTURE( "ui-icon-structure" ),
    UI_ICON_TEMPLATE( "ui-icon-template" ),
    UI_ICON_TRANSFORM( "ui-icon-transform" ),
    UI_ICON_VCS_FORK( "ui-icon-vcs-fork" ),
    UI_ICON_VCS_COMPARE( "ui-icon-vcs-compare" ),
    UI_ICON_VCS_PULL_REQUEST( "ui-icon-vcs-pull-request" ),
    UI_ICON_VCS_BRANCH( "ui-icon-vcs-branch" ),
    UI_ICON_VCS_MERGE( "ui-icon-vcs-merge" ),
    UI_ICON_SHUTTLE( "ui-icon-shuttle" ),
    UI_ICON_TRANSLATE( "ui-icon-translate" ),
    UI_ICON_LOADING_STATUS_BALLS( "ui-icon-loading-status-balls" ),
    UI_ICON_LOADING_STATUS_CIRCLE( "ui-icon-loading-status-circle" ),
    UI_ICON_LOADING_STATUS_COMET( "ui-icon-loading-status-comet" ),
    UI_ICON_LOADING_STATUS_LINES( "ui-icon-loading-status-lines" ),
    UI_ICON_LOADING_STATUS_PLANET( "ui-icon-loading-status-planet" ),
    UI_ICON_JQUERY( "ui-icon-jquery" ),
    UI_ICON_CARATSTOP_1_S( "ui-icon-caratstop-1-s" ),
    UI_ICON_CARATSTOP_1_N( "ui-icon-caratstop-1-n" ),
    UI_ICON_FULLSCREEN_ON( "ui-icon-fullscreen-on" ),
    UI_ICON_FULLSCREEN_OFF( "ui-icon-fullscreen-off" ),
    UI_ICON_CARATSTOP_1_W( "ui-icon-caratstop-1-w" ),
    UI_ICON_CARATSTOP_1_E( "ui-icon-caratstop-1-e" );

    private static final String ICON_NAME = "%s:%s";

    private static final String ICON_NAME_SEPARATOR = ":";

    public static final String ICON_COLLECTION_NAME = "jqueryui";

    public static final String ICON_DESCRIPTION = "jQuery UI";

    private String name;

    JqueryuiIcon( String name )
    {
        this.name = name;
    }

    @SuppressWarnings( "deprecation" )
    public Icon create()
    {
        return new Icon( ICON_COLLECTION_NAME, name );
    }

    public String getIconName()
    {
        return String.format( ICON_NAME, ICON_COLLECTION_NAME, name );
    }

    public String getIconCollectionName( String iconName )
    {
        return iconName.split( ICON_NAME_SEPARATOR )[0];
    }

}
